<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KEmoticonsTheme</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KEmoticonsTheme Class Reference</h1>
<code>from PyKDE4.kutils import *</code>
<p>



<h2>Detailed Description</h2>

<p>This class contains the emoticons theme
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj188219948">ParseModeEnum</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;DefaultParse, StrictParse, RelaxedParse, SkipHTML&nbsp;}<br><i>Typesafe wrapper:</i> ParseMode</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj167184940">TokenType</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Undefined, Image, Text&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj169220780">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181494700">__init__</a> (self, <a href="../kutils/KEmoticonsTheme.html">KEmoticonsTheme</a> ket)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181494636">__init__</a> (self, <a href="../kutils/KEmoticonsProvider.html">KEmoticonsProvider</a> p)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191406412">addEmoticon</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> emo, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text, KEmoticonsProvider.AddEmoticonOption option=KEmoticonsProvider.DoNotCopy)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189880300">createNew</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">QHash<QString,QStringList>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189882284">emoticonsMap</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189879148">fileName</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj202831180">isNull</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191406156">loadTheme</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> path)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181496492">parseEmoticons</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text, KEmoticonsTheme.ParseMode mode=KEmoticonsTheme.DefaultParse, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> exclude=QStringList())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191406604">removeEmoticon</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> emo)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189879244">save</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189881516">setThemeName</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189879788">themeName</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj189882316">themePath</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">[<a href="../kutils/KEmoticonsTheme.Token.html">KEmoticonsTheme.Token</a>]&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191408524">tokenize</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> message, KEmoticonsTheme.ParseMode mode=KEmoticonsTheme.DefaultParse)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj169220780"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj181494700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kutils/KEmoticonsTheme.html">KEmoticonsTheme</a>&nbsp;</td>
<td class="paramname"><em>ket</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Copy constructor
</p></div></div><a class="anchor" name="obj181494636"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kutils/KEmoticonsProvider.html">KEmoticonsProvider</a>&nbsp;</td>
<td class="paramname"><em>p</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Another constructor where you set the KEmoticonsProvider <b>p</b>
you should probably never use this, instead use KEmoticons.theme()
</p></div></div><a class="anchor" name="obj191406412"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool addEmoticon</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>emo</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KEmoticonsProvider.AddEmoticonOption&nbsp;</td>
<td class="paramname"><em>option=KEmoticonsProvider.DoNotCopy</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Add the emoticon <b>emo</b> with text <b>text</b>
<pre class="fragment">
 KEmoticonsTheme theme = KEmoticons().theme();
 theme.addEmoticon("/path/to/smiley.png", ":) :-)");
</pre>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>emo</em>&nbsp;</td><td> path to the emoticon image

<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> the text of the emoticon separated by space for multiple text

<tr><td></td><td valign="top"><em>copy</em>&nbsp;</td><td> whether or not copy <b>emo</b> into the theme directory
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if it can add the emoticon
</dd></dl>
</p></div></div><a class="anchor" name="obj189880300"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> createNew</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Create a new theme
</p></div></div><a class="anchor" name="obj189882284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">QHash<QString,QStringList> emoticonsMap</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns a QHash that contains the emoticons path as keys and the text as values
</p></div></div><a class="anchor" name="obj189879148"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> fileName</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the file name of the theme
</p></div></div><a class="anchor" name="obj202831180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isNull</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Check if the theme has a valid provider and it returns true if it can't find it
</p></div></div><a class="anchor" name="obj191406156"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool loadTheme</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>path</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Load the theme inside the directory <b>path</b>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>path</em>&nbsp;</td><td> path to the directory
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj181496492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> parseEmoticons</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KEmoticonsTheme.ParseMode&nbsp;</td>
<td class="paramname"><em>mode=KEmoticonsTheme.DefaultParse</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>exclude=QStringList()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Parse emoticons in text <b>text</b> with ParseMode <b>mode</b> and optionally excluding emoticons from <b>exclude</b>
<pre class="fragment">
 KEmoticonsTheme theme = KEmoticons().theme();
 QString text = ":D hi :)";
 QStringList exclude(":)");
 QString parsed = theme.parseEmoticons(text, KEmoticonsTheme.DefaultParse, exclude);
 // parsed will be "&lt;img align="center" title=":D" alt=":D" src="/path/to/:D.png" width="24" height="24" /&gt; hi :)"
</pre>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> the text to parse

<tr><td></td><td valign="top"><em>mode</em>&nbsp;</td><td> how to parse the text

<tr><td></td><td valign="top"><em>exclude</em>&nbsp;</td><td> a list of emoticons to exclude from the parsing
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the text with emoticons replaced by html images
</dd></dl> <dl class="note" compact><dt><b>Note:</b></dt><dd> SkipHTML is forced when using this function
</dd></dl>
</p></div></div><a class="anchor" name="obj191406604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool removeEmoticon</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>emo</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Remove the emoticon <b>emo,</b> this will not delete the image file too
<pre class="fragment">
 KEmoticonsTheme theme = KEmoticons().theme();
 theme.removeEmoticon(":)");
</pre>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>emo</em>&nbsp;</td><td> the emoticon text to remove
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if it can delete the emoticon
</dd></dl>
</p></div></div><a class="anchor" name="obj189879244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> save</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Save the emoticon theme
</p></div></div><a class="anchor" name="obj189881516"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setThemeName</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set the theme name
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> name of the theme
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj189879788"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> themeName</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the theme name
</p></div></div><a class="anchor" name="obj189882316"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> themePath</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the theme path
</p></div></div><a class="anchor" name="obj191408524"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">[<a href="../kutils/KEmoticonsTheme.Token.html">KEmoticonsTheme.Token</a>] tokenize</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>message</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KEmoticonsTheme.ParseMode&nbsp;</td>
<td class="paramname"><em>mode=KEmoticonsTheme.DefaultParse</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Tokenize the message <b>message</b> with ParseMode <b>mode</b>
<pre class="fragment">
 KEmoticonsTheme theme = KEmoticons().theme();
 QString text = "hi :)";
 QList&lt;Token&gt; tokens = theme.tokenize(text, KEmoticonsTheme.DefaultParse);
 // tokens[0].text = "hi "
 // tokens[1].text = ":)" 
 // tokens[1].picPath = "/path/to/:).png"
 // tokens[1].picHTMLCode = "&lt;img align="center" title=":)" alt=":)" src="/path/to/:).png" width="24" height="24" /&gt;"
</pre>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj188219948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">ParseModeEnum</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The possible parse modes
</p><dl compact><dt><b>Note:</b></dt><dd>It is necessary to wrap members of this enumeration in a <code>ParseMode</code> instance when passing them to a method as group of flags. For example: <code>ParseMode( DefaultParse | StrictParse)</code></dd></dl><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>DefaultParse</em>&nbsp;=&nbsp;0x0</td><td><tr><td valign="top"><em>StrictParse</em>&nbsp;=&nbsp;0x1</td><td><tr><td valign="top"><em>RelaxedParse</em>&nbsp;=&nbsp;0x2</td><td><tr><td valign="top"><em>SkipHTML</em>&nbsp;=&nbsp;0x4</td><td></table>
</dl>
</div></div><p><a class="anchor" name="obj167184940"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">TokenType</td>
</tr>
</table>
</div>
<div class="memdoc"><p>TokenType, a token might be an image ( emoticon ) or text.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Undefined</em>&nbsp;</td><td><tr><td valign="top"><em>Image</em>&nbsp;</td><td><tr><td valign="top"><em>Text</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
